Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class StandardExpander

    java.lang.Object
      org.neo4j.kernel.StandardExpander

All Implemented Interfaces:
  Expander, RelationshipExpander

Direct Known Subclasses:
  OrderedByTypeExpander

    public abstract class StandardExpander

extends Object
implements Expander

Field Summary
`static StandardExpander` | `DEFAULT`

Method Summary
`StandardExpander` | `add(RelationshipType type)` Add a `RelationshipType` to the `Expander`.
`abstract StandardExpander` | `add(RelationshipType type, Direction direction)` Add a `RelationshipType` with a `Direction` to the `Expander`.
`StandardExpander` | `addNodeFilter(Predicate<? super Node> filter)` Add a `Node` filter.
`StandardExpander` | `addRelationshipFilter(Predicate<? super Relationship> filter)` Add a `Relationship` filter.
`StandardExpander` | `addRelationsipFilter(Predicate<? super Relationship> filter)` Add a `Relationship` filter.
`org.neo4j.kernel.Expansion<Relationship>` | `expand(Node start)` Returns relationships for a node in whatever way the implementation likes.
`abstract StandardExpander` | `remove(RelationshipType type)` Remove a `RelationshipType` from the `Expander`.
`abstract StandardExpander` | `reversed()` Returns a new instance with the exact same `RelationshipType`s, but with all directions reversed (see `Direction.reverse()`).
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final StandardExpander DEFAULT

Method Detail

### expand

    public final org.neo4j.kernel.Expansion<Relationship> expand(Node start)

  Description copied from interface: `RelationshipExpander`
  Returns relationships for a node in whatever way the implementation likes.

  Specified by:
    `expand` in interface `RelationshipExpander`
  Parameters:
    `start` - the node to expand.
  Returns:
    the relationships to return for the `node`.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### add

    public final StandardExpander add(RelationshipType type)

  Description copied from interface: `Expander`
  Add a `RelationshipType` to the `Expander`.

  Specified by:
    `add` in interface `Expander`
  Parameters:
    `type` - relationship type
  Returns:
    new instance

### add

    public abstract StandardExpander add(RelationshipType type,
                                         Direction direction)

  Description copied from interface: `Expander`
  Add a `RelationshipType` with a `Direction` to the `Expander`.

  Specified by:
    `add` in interface `Expander`
  Parameters:
    `type` - relationship type
    `direction` - expanding direction
  Returns:
    new instance

### remove

    public abstract StandardExpander remove(RelationshipType type)

  Description copied from interface: `Expander`
  Remove a `RelationshipType` from the `Expander`.

  Specified by:
    `remove` in interface `Expander`
  Parameters:
    `type` - relationship type
  Returns:
    new instance

### reversed

    public abstract StandardExpander reversed()

  Description copied from interface: `RelationshipExpander`
  Returns a new instance with the exact same `RelationshipType`s, but with all directions reversed (see `Direction.reverse()`).

  Specified by:
    `reversed` in interface `Expander`
  Specified by:
    `reversed` in interface `RelationshipExpander`
  Returns:
    a `RelationshipExpander` with the same types, but with reversed directions.

### addNodeFilter

    public StandardExpander addNodeFilter(Predicate<? super Node> filter)

  Description copied from interface: `Expander`
  Add a `Node` filter.

  Specified by:
    `addNodeFilter` in interface `Expander`
  Parameters:
    `filter` - filter to use
  Returns:
    new instance

### addRelationshipFilter

    public StandardExpander addRelationshipFilter(Predicate<? super Relationship> filter)

  Description copied from interface: `Expander`
  Add a `Relationship` filter.

  Specified by:
    `addRelationshipFilter` in interface `Expander`
  Parameters:
    `filter` - filter to use
  Returns:
    new instance

### addRelationsipFilter

    public StandardExpander addRelationsipFilter(Predicate<? super Relationship> filter)

  Description copied from interface: `Expander`
  Add a `Relationship` filter.

  Specified by:
    `addRelationsipFilter` in interface `Expander`
  Parameters:
    `filter` - filter to use
  Returns:
    new instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.